name: Push to main

on:
  push:
    branches: [main]

jobs:
  Reset-Version-Tag:
    runs-on: debian-bullseye
    steps:
      - name: Check out repository code
        uses: actions/checkout@v3
      - run: git tag -d v1 || true
      - run: git push --delete origin v1 || true
      - run: git tag v1
      - run: git push --tags
